Bug 211511 - buildsys-build RPM's broken for RHEL4
Summary: buildsys-build RPM's broken for RHEL4
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Hosted Projects
Classification: Retired
Component: mock   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-19 19:35 UTC by David Lutterkort
Modified: 2013-04-30 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 19:31:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use 'rhel' instead of 'el' as the macro for RHEL versions (1.62 KB, patch)
2006-10-19 19:35 UTC, David Lutterkort
no flags Details | Diff

Description David Lutterkort 2006-10-19 19:35:52 UTC
the buildsys-build rpm for RHEL4 does not pull in python; rpmbuild complains
that 'el' is not a valid macro name, and ignores the conditionals in the
specfile that should add a dependency on python

The attached patch (against cvs.fedora.redhat.com:/cvs/fedora/mock) fixes that.

Comment 1 David Lutterkort 2006-10-19 19:35:54 UTC
Created attachment 138897 [details]
Use 'rhel' instead of 'el' as the macro for RHEL versions

Comment 2 Clark Williams 2006-12-14 19:31:02 UTC
Committed. Thanks.
Clark



Note You need to log in before you can comment on or make changes to this bug.